Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class LazyReference

    java.lang.Object
      java.util.concurrent.locks.AbstractOwnableSynchronizer
          java.util.concurrent.locks.AbstractQueuedSynchronizer
              org.codehaus.groovy.util.LockableObject
                  org.codehaus.groovy.util.LazyReference

    public abstract class LazyReference
    extends LockableObject

Soft reference with lazy initialization under lock

Constructor Summary
`LazyReference(ReferenceBundle bundle)`

Method Summary
`void` | `clear()`
`T` | `get()`
`T` | `initValue()`
`String` | `toString()`

Methods inherited from class LockableObject
isHeldExclusively, lock, tryAcquire, tryRelease, unlock

Methods inherited from class AbstractQueuedSynchronizer
toString, hasQueuedThreads, getQueueLength, getQueuedThreads, hasWaiters, getWaitQueueLength, getWaitingThreads, acquireInterruptibly, tryAcquireNanos, release, isQueued, acquire, acquireShared, acquireSharedInterruptibly, tryAcquireSharedNanos, releaseShared, hasContended, getFirstQueuedThread, hasQueuedPredecessors, getExclusiveQueuedThreads, getSharedQueuedThreads, owns, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class AbstractOwnableSynchronizer
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### LazyReference

    public LazyReference(ReferenceBundle bundle)

Method Detail

### clear

    public void clear()

### get

    public T get()

### initValue

    public T initValue()

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.